View Issue Details

IDProjectCategoryView StatusLast Update
0017815LazarusDebuggerpublic2011-12-01 11:25
ReporterJoost van der SluisAssigned ToMarc Weustink 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.29 (SVN)Product Build 
Target Version0.9.30Fixed in Version0.9.29 (SVN) 
Summary0017815: Reset debugger always lead to an AV
DescriptionRun a program in the debugger. And when it shows, kill the debugger. (reset debugger).

An AV occurs with the following bt:

[TCmdLineDebugger.Getoutput] Error waiting
TApplication.HandleException Access violation
  Stack trace:
  $0000000000D6FF7F line 1910 of ../debugger/debugger.pp
  $0000000000FE23F4 line 344 of ../debugger/cmdlinedebugger.pp
  $0000000000FE219F line 275 of ../debugger/cmdlinedebugger.pp
  $0000000000FFA8F7 line 2976 of ../debugger/gdbmidebugger.pp
  $00000000010082B3 line 5986 of ../debugger/gdbmidebugger.pp
  $0000000001007D33 line 5909 of ../debugger/gdbmidebugger.pp
  $0000000000FF56EE line 1771 of ../debugger/gdbmidebugger.pp
  $0000000000FF55D7 line 1739 of ../debugger/gdbmidebugger.pp
  $0000000000FF51AD line 1689 of ../debugger/gdbmidebugger.pp
  $0000000000FFDA48 line 3796 of ../debugger/gdbmidebugger.pp
  $0000000000FF82D1 line 2390 of ../debugger/gdbmidebugger.pp
  $0000000000FFC3D9 line 3248 of ../debugger/gdbmidebugger.pp
  $0000000000D6FBD8 line 1826 of ../debugger/debugger.pp
  $0000000000D6FCD0 line 1840 of ../debugger/debugger.pp
  $0000000000D6D675 line 2598 of debugmanager.pas
  $0000000000D680ED line 1365 of debugmanager.pas
  $00000000008D57D9 line 181 of customtimer.pas
TagsNo tags attached.
Fixed in Revision28128
LazTarget1.0
WidgetsetGTK 2
Attached Files

Activities

Martin Friebe

2010-11-07 20:20

manager   ~0042860

Please test and close if ok.

Issue History

Date Modified Username Field Change
2010-11-03 14:48 Joost van der Sluis New Issue
2010-11-03 14:48 Joost van der Sluis Status new => assigned
2010-11-03 14:48 Joost van der Sluis Assigned To => Marc Weustink
2010-11-03 14:48 Joost van der Sluis LazTarget => -
2010-11-03 14:48 Joost van der Sluis Widgetset => GTK 2
2010-11-07 20:20 Martin Friebe Fixed in Revision => 28128
2010-11-07 20:20 Martin Friebe LazTarget - => 1.0
2010-11-07 20:20 Martin Friebe Status assigned => resolved
2010-11-07 20:20 Martin Friebe Fixed in Version => 0.9.29 (SVN)
2010-11-07 20:20 Martin Friebe Resolution open => fixed
2010-11-07 20:20 Martin Friebe Note Added: 0042860
2010-11-07 20:21 Martin Friebe Target Version => 0.9.30
2011-12-01 11:25 Marc Weustink Status resolved => closed